<?php

define('IN_COPPERMINE', true);

require('include/init.inc.php');

if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

pageheader('Install FAQ');

$faqTableExists = false;
$categoryTableExists = false;

// Query to select tables in the database
$query = 'SHOW TABLES FROM '.$CONFIG['dbname'];
$result = cpg_db_query($query);

while ($row = cpg_db_fetch_row($result)) {
  if ($row[0] == $CONFIG['TABLE_PREFIX'].'faqs') {
    $faqTableExists = true;
  } else if ($row[0] == $CONFIG['TABLE_PREFIX'].'faqCatgeories') {
    $categoryTableExists = true;
  } else if ($faqTableExists && $categoryTableExists) {
    break;
  }
}

$errPrependString = 'It seems like you have already installed FAQ because';
$faqLinkString = '<br><br><a href="myfaq.php" title="View/Manage FAQs">View/Manage FAQs</a>';

if ($faqTableExists && $categoryTableExists) {
  echo '
<p align="center"><font color="#FF0000"><b>'.$errPrependString.' MySQL database tables `'.$CONFIG['TABLE_PREFIX'].'faqs` and `'.$CONFIG['TABLE_PREFIX'].'faqCatgeories` are already exist.</b></font>'.$faqLinkString.'</p>';
} else if ($faqTableExists) {
  echo '
<p align="center"><font color="#FF0000"><b>'.$errPrependString.' MySQL database table `'.$CONFIG['TABLE_PREFIX'].'faqs` already exists.</b></font>'.$faqLinkString.'</p>';
} else if ($categoryTableExists) {
  echo '
<p align="center"><font color="#FF0000"><b>'.$errPrependString.' MySQL database table `'.$CONFIG['TABLE_PREFIX'].'faqCatgeories` already exists.</b></font>'.$faqLinkString.'</p>';
} else {
  $query = "CREATE TABLE `".$CONFIG['TABLE_PREFIX']."faqCatgeories` (
  `categoryId` int(11) NOT NULL auto_increment,
  `parentCategory` int(11) NOT NULL default '0',
  `categoryTitle` varchar(255) NOT NULL default '',
  PRIMARY KEY (`categoryId`),
  KEY `parentCategory` (`parentCategory`)
)";
  cpg_db_query($query);

/**** Queries to run to make multi-level categories for existing single-level categories database table ****\
ALTER TABLE `cpg140_faqCatgeories` ADD `parentCategory` INT NOT NULL AFTER `categoryId`;
ALTER TABLE `cpg140_faqCatgeories` ADD INDEX (`parentCategory`);
\***********************************************************************************************************/

  $query = "CREATE TABLE `".$CONFIG['TABLE_PREFIX']."faqs` (
  `faqId` int(11) NOT NULL auto_increment,
  `categoryId` int(11) NOT NULL default '0',
  `questionText` text NOT NULL,
  `answerText` text NOT NULL,
  PRIMARY KEY (`faqId`),
  KEY `categoryId` (`categoryId`)
)";
  cpg_db_query($query);

  echo '
<p align="center"><font color="#339966"><b>MySQL database tables `'.$CONFIG['TABLE_PREFIX'].'faqs` and `'.$CONFIG['TABLE_PREFIX'].'faqCatgeories` have been successfully created. Please remove this installer for security.</b></font>'.$faqLinkString.'</p>';
}

pagefooter();

?>
